# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'Appointment'
        db.create_table('agenda_appointment', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='agenda_appointment_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='agenda_appointment_last_modifier', null=True, to=orm['auth.User'])),
            ('assigned_by', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='appointments_assigned_by_me', null=True, to=orm['auth.User'])),
            ('dayperiodicity', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='appointments', null=True, to=orm['agenda.DayPeriodicity'])),
            ('weekperiodicity', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='appointments', null=True, to=orm['agenda.WeekPeriodicity'])),
            ('monthperiodicity', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='appointments', null=True, to=orm['agenda.MonthPeriodicity'])),
            ('yearperiodicity', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='appointments', null=True, to=orm['agenda.YearPeriodicity'])),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('date_begin', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('date_end', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('time_begin', self.gf('django.db.models.fields.TimeField')(db_index=True)),
            ('time_end', self.gf('django.db.models.fields.TimeField')(db_index=True)),
            ('periodicity', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=1, null=True, blank=True)),
        ))
        db.send_create_signal('agenda', ['Appointment'])

        # Adding model 'DayPeriodicity'
        db.create_table('agenda_dayperiodicity', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='agenda_dayperiodicity_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='agenda_dayperiodicity_last_modifier', null=True, to=orm['auth.User'])),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('date_begin', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('date_end', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('time_begin', self.gf('django.db.models.fields.TimeField')(db_index=True)),
            ('time_end', self.gf('django.db.models.fields.TimeField')(db_index=True)),
            ('repeat_days', self.gf('django.db.models.fields.IntegerField')()),
        ))
        db.send_create_signal('agenda', ['DayPeriodicity'])

        # Adding model 'WeekPeriodicity'
        db.create_table('agenda_weekperiodicity', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='agenda_weekperiodicity_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='agenda_weekperiodicity_last_modifier', null=True, to=orm['auth.User'])),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('date_begin', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('date_end', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('time_begin', self.gf('django.db.models.fields.TimeField')(db_index=True)),
            ('time_end', self.gf('django.db.models.fields.TimeField')(db_index=True)),
            ('repeat_weeks', self.gf('django.db.models.fields.IntegerField')()),
            ('mon', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('tue', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('wed', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('thu', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('fri', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('sat', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('sun', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
        ))
        db.send_create_signal('agenda', ['WeekPeriodicity'])

        # Adding model 'MonthPeriodicity'
        db.create_table('agenda_monthperiodicity', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='agenda_monthperiodicity_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='agenda_monthperiodicity_last_modifier', null=True, to=orm['auth.User'])),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('date_begin', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('date_end', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('time_begin', self.gf('django.db.models.fields.TimeField')(db_index=True)),
            ('time_end', self.gf('django.db.models.fields.TimeField')(db_index=True)),
            ('repeat_months', self.gf('django.db.models.fields.IntegerField')()),
            ('type_day', self.gf('django.db.models.fields.CharField')(max_length=1, db_index=True)),
        ))
        db.send_create_signal('agenda', ['MonthPeriodicity'])

        # Adding model 'YearPeriodicity'
        db.create_table('agenda_yearperiodicity', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='agenda_yearperiodicity_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='agenda_yearperiodicity_last_modifier', null=True, to=orm['auth.User'])),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('date_begin', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('date_end', self.gf('django.db.models.fields.DateField')(db_index=True)),
            ('time_begin', self.gf('django.db.models.fields.TimeField')(db_index=True)),
            ('time_end', self.gf('django.db.models.fields.TimeField')(db_index=True)),
            ('repeat_years', self.gf('django.db.models.fields.IntegerField')()),
        ))
        db.send_create_signal('agenda', ['YearPeriodicity'])

        # Adding model 'Role'
        db.create_table('agenda_role', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='agenda_role_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='agenda_role_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100, db_index=True)),
        ))
        db.send_create_signal('agenda', ['Role'])

        # Adding model 'Membership'
        db.create_table('agenda_membership', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('content_type', self.gf('django.db.models.fields.related.ForeignKey')(related_name='content_type_set_for_membership', to=orm['contenttypes.ContentType'])),
            ('object_id', self.gf('django.db.models.fields.TextField')()),
            ('appointment', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['agenda.Appointment'])),
            ('role', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['agenda.Role'], null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=1, null=True, blank=True)),
            ('invite_reason', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
        ))
        db.send_create_signal('agenda', ['Membership'])


    def backwards(self, orm):
        
        # Deleting model 'Appointment'
        db.delete_table('agenda_appointment')

        # Deleting model 'DayPeriodicity'
        db.delete_table('agenda_dayperiodicity')

        # Deleting model 'WeekPeriodicity'
        db.delete_table('agenda_weekperiodicity')

        # Deleting model 'MonthPeriodicity'
        db.delete_table('agenda_monthperiodicity')

        # Deleting model 'YearPeriodicity'
        db.delete_table('agenda_yearperiodicity')

        # Deleting model 'Role'
        db.delete_table('agenda_role')

        # Deleting model 'Membership'
        db.delete_table('agenda_membership')


    models = {
        'agenda.appointment': {
            'Meta': {'object_name': 'Appointment'},
            'assigned_by': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments_assigned_by_me'", 'null': 'True', 'to': "orm['auth.User']"}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_appointment_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'dayperiodicity': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments'", 'null': 'True', 'to': "orm['agenda.DayPeriodicity']"}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_appointment_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'monthperiodicity': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments'", 'null': 'True', 'to': "orm['agenda.MonthPeriodicity']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'periodicity': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'weekperiodicity': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments'", 'null': 'True', 'to': "orm['agenda.WeekPeriodicity']"}),
            'yearperiodicity': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments'", 'null': 'True', 'to': "orm['agenda.YearPeriodicity']"})
        },
        'agenda.dayperiodicity': {
            'Meta': {'object_name': 'DayPeriodicity'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_dayperiodicity_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_dayperiodicity_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'repeat_days': ('django.db.models.fields.IntegerField', [], {}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'agenda.membership': {
            'Meta': {'object_name': 'Membership'},
            'appointment': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['agenda.Appointment']"}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'content_type_set_for_membership'", 'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invite_reason': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'object_id': ('django.db.models.fields.TextField', [], {}),
            'role': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['agenda.Role']", 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '1', 'null': 'True', 'blank': 'True'})
        },
        'agenda.monthperiodicity': {
            'Meta': {'object_name': 'MonthPeriodicity'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_monthperiodicity_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_monthperiodicity_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'repeat_months': ('django.db.models.fields.IntegerField', [], {}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'type_day': ('django.db.models.fields.CharField', [], {'max_length': '1', 'db_index': 'True'})
        },
        'agenda.role': {
            'Meta': {'object_name': 'Role'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_role_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_role_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'})
        },
        'agenda.weekperiodicity': {
            'Meta': {'object_name': 'WeekPeriodicity'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_weekperiodicity_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'fri': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_weekperiodicity_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'mon': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'repeat_weeks': ('django.db.models.fields.IntegerField', [], {}),
            'sat': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'sun': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'thu': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'tue': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'wed': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'})
        },
        'agenda.yearperiodicity': {
            'Meta': {'object_name': 'YearPeriodicity'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_yearperiodicity_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_yearperiodicity_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'repeat_years': ('django.db.models.fields.IntegerField', [], {}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        }
    }

    complete_apps = ['agenda']
