# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding field 'Appointment.visibility'
        db.add_column('agenda_appointment', 'visibility', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=1, null=True, blank=True), keep_default=False)


    def backwards(self, orm):
        
        # Deleting field 'Appointment.visibility'
        db.delete_column('agenda_appointment', 'visibility')


    models = {
        'agenda.appointment': {
            'Meta': {'object_name': 'Appointment'},
            'assigned_by': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments_assigned_by_me'", 'null': 'True', 'to': "orm['auth.User']"}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_appointment_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'dayperiodicity': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments'", 'null': 'True', 'to': "orm['agenda.DayPeriodicity']"}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_appointment_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'monthperiodicity': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments'", 'null': 'True', 'to': "orm['agenda.MonthPeriodicity']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'periodicity': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'visibility': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'weekperiodicity': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments'", 'null': 'True', 'to': "orm['agenda.WeekPeriodicity']"}),
            'yearperiodicity': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'appointments'", 'null': 'True', 'to': "orm['agenda.YearPeriodicity']"})
        },
        'agenda.dayperiodicity': {
            'Meta': {'object_name': 'DayPeriodicity'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_dayperiodicity_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_dayperiodicity_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'repeat_days': ('django.db.models.fields.IntegerField', [], {}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'agenda.membership': {
            'Meta': {'object_name': 'Membership'},
            'appointment': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['agenda.Appointment']"}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'content_type_set_for_membership'", 'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invite_reason': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'object_id': ('django.db.models.fields.TextField', [], {}),
            'role': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['agenda.Role']", 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '1', 'null': 'True', 'blank': 'True'})
        },
        'agenda.monthperiodicity': {
            'Meta': {'object_name': 'MonthPeriodicity'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_monthperiodicity_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_monthperiodicity_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'repeat_months': ('django.db.models.fields.IntegerField', [], {}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'type_day': ('django.db.models.fields.CharField', [], {'max_length': '1', 'db_index': 'True'})
        },
        'agenda.role': {
            'Meta': {'object_name': 'Role'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_role_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_role_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'})
        },
        'agenda.weekperiodicity': {
            'Meta': {'object_name': 'WeekPeriodicity'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_weekperiodicity_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'fri': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_weekperiodicity_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'mon': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'repeat_weeks': ('django.db.models.fields.IntegerField', [], {}),
            'sat': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'sun': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'thu': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'tue': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'wed': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'})
        },
        'agenda.yearperiodicity': {
            'Meta': {'object_name': 'YearPeriodicity'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_yearperiodicity_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_begin': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'agenda_yearperiodicity_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'repeat_years': ('django.db.models.fields.IntegerField', [], {}),
            'time_begin': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'time_end': ('django.db.models.fields.TimeField', [], {'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        }
    }

    complete_apps = ['agenda']
